// PerformanceMonster
// Copyright (C) 2005  Ole Friis <olefriis@gmail.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package performancemonster;

public class MinTest
{
	public boolean t = true;
	public boolean t2 = true;

	public static void main(String[] args)
	{
		try {
			MinTest minTest = new MinTest();
			minTest.hej1();
			minTest.hej2();
		} catch (RuntimeException e) {
			System.out.println("Exception:");
			e.printStackTrace();
		}
	}

	public void hej1()
	{
		System.out.println("Before");
		try {
			if (t) {
				return;
			}
			if (t2) {
				return;
			}
			privateMethod();
		} finally {
			System.out.println("After");
		}
	}

	public void hej2()
	{
		if (t) {
			throw new IllegalStateException("Davs");
		}
		privateMethod();
	}

	private static void privateMethod()
	{
		System.out.println("Davs");
	}
}
