package performancemonster.documentation;

import java.awt.AWTException;
import java.awt.Rectangle;
import java.awt.Robot;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.stream.FileImageOutputStream;
import javax.swing.JFrame;

import com.sun.imageio.plugins.png.PNGImageWriter;
import com.sun.imageio.plugins.png.PNGImageWriterSpi;

public class WindowGrabber
{
  public static void grabFrame(JFrame frame, String fileName)
      throws AWTException, IOException
  {
    Robot robot = new Robot();
    Rectangle captureSize = new Rectangle(frame.getBounds());
    BufferedImage image = robot.createScreenCapture(captureSize);
    PNGImageWriter wri = new PNGImageWriter(new PNGImageWriterSpi());
    FileImageOutputStream wri2 = new FileImageOutputStream(new File(fileName));
    wri.setOutput(wri2);
    wri.write(image);
    wri2.close();
  }
}
